Home

Get the block for the given round.

GET
https://algo.nownodes.io/v2/blocks/{round}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

formatstringjsonmsgpackquery

Configures whether the response object is JSON or MessagePack encoded. If not provided, defaults to JSON.

roundinteger>= 0requiredpath

The round from which to fetch block information.

Response

200OK

Encoded block object.

400Bad Request

Bad Request - Non integer number

401Unauthorized

Invalid API Token

404Not Found

None existing block

500Internal Server Error

Internal Error

default

Unknown Error